Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 954148 - Review Request: mingw-enet - Thin, simple and robust network layer on top of UDP [NEEDINFO]
Summary: Review Request: mingw-enet - Thin, simple and robust network layer on top of UDP
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2013-04-21 09:19 UTC by Marcel Wysocki
Modified: 2016-03-20 01:37 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-20 01:37:59 UTC
itamar: needinfo? (maci)


Attachments (Terms of Use)
linker flags to produce shared library (deleted)
2013-10-09 08:41 UTC, František Dvořák
no flags Details | Diff

Description Marcel Wysocki 2013-04-21 09:19:39 UTC
Spec URL: http://maci.satgnu.net/rpmbuild/SPECS/mingw-enet.spec
SRPM URL: http://maci.satgnu.net/rpmbuild/SRPMS/mingw-enet-1.3.3-1.fc18.src.rpm
Description: Thin, simple and robust network layer on top of UDP
Fedora Account System Username: maci

Koji URL: http://koji.fedoraproject.org/koji/taskinfo?taskID=5284325

Comment 1 František Dvořák 2013-10-09 08:41:24 UTC
Created attachment 809759 [details]
linker flags to produce shared library

MinGW ports need always -no-undefined flag when linking a library. The hacks in the specfile can be replaced by this patch (with added dependency on automake).

The --output-def in the patch is not needed, it's just the producing .def and packaging it could be useful.

Incorporating this to upstream would require some more work on "autostuff" - to enable flags in configure only for MinGW builds.

Comment 2 František Dvořák 2016-03-19 22:22:12 UTC
This review looks like stalled and can be closed within week according to https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews .

Comment 3 Itamar Reis Peixoto 2016-03-20 01:37:59 UTC
please reopen if you're still interested, thank you.


Note You need to log in before you can comment on or make changes to this bug.